"""
Django settings for gestion project.

Generated by 'django-admin startproject' using Django 4.0.4.

For more information on this file, see
https://docs.djangoproject.com/en/4.0/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/4.0/ref/settings/
"""

from ensurepip import bootstrap
import os
from pathlib import Path

# Build paths inside the project like this: BASE_DIR / 'subdir'.
BASE_DIR = Path(__file__).resolve().parent.parent


# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/4.0/howto/deployment/checklist/

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = 'django-insecure-w7i3(u!e15=@s92z(t43#wx-a#zh2$_x=^n@rk-8pw$5^7r#pv'

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = True

ALLOWED_HOSTS = ['*']


# Application definition

INSTALLED_APPS = [
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',

#===========================================================================================
#|                                APLICACIONES DJANGO                                      |
#===========================================================================================
    'apps.accesopublico',
    'apps.Admin_Cuenta',
    'apps.Admin_Dependencia',
    'apps.Admin_Unidad',
    'apps.estadistica',
    'apps.general',

#===========================================================================================
#|                                    REQUERIMIENTOS                                       |
#===========================================================================================
    'bootstrapform',
    'widget_tweaks',
    'crispy_forms',
]

MIDDLEWARE = [
    'django.middleware.security.SecurityMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',
]

ROOT_URLCONF = 'gestion.urls'

TEMPLATES = [
    {
        'BACKEND': 'django.template.backends.django.DjangoTemplates',
        'DIRS': [os.path.join(BASE_DIR, 'templates')],
        
        'APP_DIRS': True,
        'OPTIONS': {
            'context_processors': [
                'django.template.context_processors.debug',
                'django.template.context_processors.request',
                'django.contrib.auth.context_processors.auth',
                'django.contrib.messages.context_processors.messages',
            ],
        },
    },
]

WSGI_APPLICATION = 'gestion.wsgi.application'


# Database
# https://docs.djangoproject.com/en/4.0/ref/settings/#databases

#===========================================================================================
#|                          CONEXION BASE PC KATHERYNE                                     |
#===========================================================================================

# DATABASES = {
#     'default': {
#         'ENGINE': 'django.db.backends.postgresql_psycopg2',
#         'NAME': 'gestion_db',
#         'USER': 'postgres', 
#         'PASSWORD': 'elefantefeliz',
#         'HOST': '127.0.0.1',
#         'PORT': '5432'
#     }
# }

#===========================================================================================
#|                                CONEXION BASE PC OBED                                    |
#===========================================================================================
DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.postgresql_psycopg2',
        'NAME': 'prueba',
        'USER': 'vhuezo', 
        'PASSWORD': 'prueba1',
        'HOST': '192.168.1.97',
        'PORT': '30760'
    }
}


# Password validation
# https://docs.djangoproject.com/en/4.0/ref/settings/#auth-password-validators

AUTH_PASSWORD_VALIDATORS = [
    {
        'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
    },
]


# Internationalization
# https://docs.djangoproject.com/en/4.0/topics/i18n/

LANGUAGE_CODE = 'es-mx'

TIME_ZONE = 'UTC'

USE_I18N = True

#USE_TZ = True


# Static files (CSS, JavaScript)
# https://docs.djangoproject.com/en/4.0/howto/static-files/


#===========================================================================================
#|                                   DIRECTORIO LOGIN                                      |
#===========================================================================================

LOGIN_REDIRECT_URL = '/general/principal'

#===========================================================================================
#|                            DIRECTORIO ARCHIVOS ESTATICOS                                |
#===========================================================================================
PROJECT_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
BASE_DIR = os.path.dirname(PROJECT_DIR)

STATICFILES_FINDERS = [
    'django.contrib.staticfiles.finders.FileSystemFinder',
    'django.contrib.staticfiles.finders.AppDirectoriesFinder',
]

STATICFILES_DIRS = [
    os.path.join(PROJECT_DIR, 'static'),
]

STATIC_ROOT = os.path.join(BASE_DIR, 'static')
STATIC_URL = '/static/'

#===========================================================================================
#|                              DIRECTORIO ARCHIVOS MEDIA                                  |
#===========================================================================================
# Media files (video, doc, imagenes)
MEDIA_ROOT= os.path.join(BASE_DIR, 'media')
MEDIA_URL= '/media/'

#===========================================================================================
#|                             PAQUETE DETEMPLATES CRISPY                                  |
#===========================================================================================
# Para terminar de instalr el crispy_form
CRISPY_TEMPLATE_PACK='bootstrap4'

# Default primary key field type
# https://docs.djangoproject.com/en/4.0/ref/settings/#default-auto-field

DEFAULT_AUTO_FIELD = 'django.db.models.BigAutoField'
